%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global oname cclib

Name:		python-cclib
Version:	1.0.1
Release:	1%{?dist}
Summary:	A library for processing results of computational chemistry packages
Group:		Development/Languages
License:	LGPLv2+
URL:		http://cclib.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	python-devel
# For test phase
BuildRequires:	numpy
# Needed for operation
Requires:	numpy
# Extra stuff
Requires:	PyQt4
Requires:	vtk-python

%description
cclib is an open source library, written in Python, for parsing and
interpreting the results of computational chemistry packages. The current
version, cclib 0.9, parses output files from ADF, GAMESS (US), GAMESS-UK,
Gaussian, Jaguar, Molpro, ORCA and PC GAMESS.

%prep
%setup -q -c -n %{oname}-%{version} -T
tar zxf %{SOURCE0}
chmod u=rwX -R %{oname}-%{version}
mv %{oname}-%{version}/* .
# Fix permissions
find . -type f -exec chmod 644 {} \;
# Fix line endings
for file in PKG-INFO test/*.py; do
 sed -e 's|\r||g' $file > $file.new &&
 touch -r $file $file.new &&
 mv $file.new $file
done

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}

# Test phase needs installed python-cclib 
%check
cd test
PYTHONPATH=../build/lib python testall.py


%files
%defattr(-,root,root,-)
%doc ANNOUNCE CHANGELOG LICENSE PKG-INFO README THANKS
%{python_sitelib}/%{oname}/
%{python_sitelib}/%{oname}-*.egg-info
%{_bindir}/ccget
%{_bindir}/cda

%changelog
* Tue Mar 15 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 24 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0-2
- Workaround bad permissions in tarball causing FTBFS.

* Fri Mar 12 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0-1
- Update to 1.0.

* Wed Feb 24 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0a-1
- Update to 1.0a.

* Sun Feb 14 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-7
- Bump release.

* Fri Jul 31 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-6
- Drop extra requires by request of upstream.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 02 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-4
- Put everything in main package instead.

* Fri Apr 24 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-3
- Branched supplementary Requires metapackage.

* Thu Apr 23 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-2
- Added BR: numpy and Requires: numpy.
- Removed test/ from %%doc.

* Thu Apr 23 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 0.91-1
- First release.
